@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    position: relative;
    min-height: 100vh;
    width: 100%;
    overflow: hidden;
    background-color: rgb(231, 231, 231);
}

.sidebar{
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 78px;
    background: #6c7eff;
    padding: 6px 14px;
    transition: all 0.5s ease;
}

.sidebar.active{
    width: 240px;
}

.sidebar .logo_content .logo{
    color: #fff;
    display: flex;
    height: 50px;
    width: 100%;
    align-items: center;
    opacity: 0;
    pointer-events: none;
}
.sidebar.active .logo_content .logo{
    opacity: 1;
    pointer-events: none;
}

.logo_content .logo i{
    font-size: 28px;
    margin-right: 5px;
}

.logo_content .logo .logo_name{
    font-size: 20px;
    font-weight: 800;
}

.sidebar #btnMenu{
    position: absolute;
    color: #fff;
    left: 50%;
    top: 6px;
    font-size: 20px;
    height: 50px;
    width: 50px;
    text-align: center;
    line-height: 50px;
    transform: translateX(-50%);
}

.sidebar.active #btnMenu{
    left: 90%;
}

.sidebar ul{
    margin-top: 20px;
    padding-left: 0px !important;
}

.sidebar ul li{
    position: relative;
    height: 50px;
    width: 100%;
    margin: 0 5px;
    list-style: none;
    line-height: 50px;
}

.sidebar ul li .tooltip{
    position: absolute;
    left: 122px;
    top: 0%;
    transform: translate(-50%, -50%);
    border-radius: 6px;
    height: 35px;
    width: 122px;
    background: #fff;
    line-height: 35px;
    text-align: center;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    transition: 0s;
    opacity: 0;
    pointer-events: none;
}

.sidebar ul li:hover .tooltip{
    transition: all 0.5s ease;
    opacity: 1;
    top: 50%;
}

.sidebar.active ul li:hover .tooltip{
    opacity: 0;
}

.sidebar ul li a{
    color: #fff;
    display: flex;
    align-items: center;
    text-decoration: none;
    transition: all 0.4s ease;
    border-radius: 12px;
    white-space: nowrap;
}

.sidebar ul li a:hover{
    color: #6c7eff;
    background: #fff;
}

.sidebar ul li a i{
    height: 50px;
    min-width: 50px;
    border-radius: 12px;
    line-height: 50px;
    text-align: center;
}

.sidebar .links_name{
    opacity: 0;
    pointer-events: none;
}

.sidebar.active .links_name{
    opacity: 1;
    pointer-events: auto;
}

.sidebar .profile_content{
    position: absolute;
    color: #fff;
    bottom: 0;
    left: 0;
    width: 100%;
}

.sidebar .profile_content .profile{
    position: relative;
    padding: 10px 6px;
    height: 60px;
    background: #6c7eff;
}

.profile_content .profile .profile_details{
    display: flex;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    white-space: nowrap;
}

.sidebar.active .profile .profile_details{
    opacity: 1;
    pointer-events: auto;
}

.profile .profile_details img{
    height: 45px;
    width: 45px;
    object-fit: cover;
    border-radius: 12px;
}

.profile .profile_details .name_job{
    margin-left: 10px;
}

.profile .profile_details .name{
    font-size: 15px;
    font-weight: 400;
}

.profile .profile_details .job{
    font-size: 12px;
    font-weight: 400;
}


.profile #log_out{
    position: absolute;
    left: 50%;
    bottom: 5px;
    transform: translateX(-50%);
    min-width: 50px;
    line-height: 50px;
    font-size: 20px;
    border-radius: 12px;
    text-align: center;
}

.sidebar.active .profile #log_out{
    left: 88%;
}

.home_content{
    position: absolute;
    height: 100%;
    width: calc(100% - 240px);
    left: 240px;
    background: rgb(231, 231, 231);
    transition: all 0.5s ease;
    padding: 10px;
}

.home_content.desactive{
    position: absolute;
    height: 100%;
    width: calc(100% - 78px);
    left: 78px;
    background: rgb(231, 231, 231);
    transition: all 0.5s ease;
}

.log_out{
    text-decoration: none;
    color: white;
}

.log_out:hover{
    color: black;
    text-decoration: none;
}

.tarjetas{
    margin-top: 30px;
    width: 100%;
    height: 120px;
    column-count: 3;
    align-items: center;
}


.card{
    padding: 0px;
    background-color: white;
    border-radius: 6px;
    width: 100%;
    height: 100%;
}

.footer{
    font-size: 10px;
    font-weight: bold;
    text-align: center;
    margin-top: 5px;
}
